## GocWidget GocWidget — Widgets. |

## Functions

void | goc_widget_set_bounds ()

## Properties

gdouble | height | Read / Write
GtkWidget * | widget | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

| GocWidget
typedef | GocWidgetClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocWidget

## Description

GocWidget implements widgets embedding in the canvas.

## Functions

### goc_widget_set_bounds ()

    void
    goc_widget_set_bounds (GocWidget *widget,
                           double left,
                           double top,
                           double width,
                           double height);

## Types and Values

### GocWidget

    typedef struct _GocWidget GocWidget;

### GocWidgetClass

    typedef GocItemClass GocWidgetClass;

## Property Details

### The `“height”` property

      “height”                   gdouble

The widget height.

Flags: Read / Write

Allowed values: [0,2048]

Default value: 0

### The `“widget”` property

      “widget”                   GtkWidget *

A pointer to the embedded widget.

Flags: Read / Write

### The `“width”` property

      “width”                    gdouble

The widget width.

Flags: Read / Write

Allowed values: [0,2048]

Default value: 0

### The `“x”` property

      “x”                        gdouble

The widget left position.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The widget top position.

Flags: Read / Write

Default value: 0